/* BLOCK: Product Tabs */

.block-product-tabs .tab-content:not(.active) {
    display: none;
}

.block-product-tabs .gallery-wrapper {
    position: relative;
}

.block-product-tabs .swiper {
    --swiper-pagination-bullet-horizontal-gap: 0px;
    --swiper-pagination-bullet-size: 0.5rem;
    --swiper-pagination-color: var(--c-text-light);
    --swiper-pagination-bullet-inactive-color: transparent;
    --swiper-pagination-bullet-inactive-opacity: 1;
}

.block-product-tabs .swiper-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, transparent 50%, rgb(from var(--c-text-dark) r g b / .7) 100%);
    background-blend-mode: multiply;
    mix-blend-mode: multiply;
    border-radius: 1.5625rem;
    pointer-events: none;
}

.block-product-tabs .gallery-wrapper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 2.05;
    border-radius: 1.5625rem;
}

.block-product-tabs .swiper-slide {
    width: 100%;
}

.block-product-tabs .swiper-pagination {
    bottom: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.block-product-tabs .swiper-pagination-bullet {
    border: 1px solid var(--c-text-light);
}

.block-product-tabs .swiper-nav {
    background-color: var(--c-text-light);
    border-radius: 0.75rem;
    z-index: 100;
}

.block-product-tabs .swiper-nav svg {
    color:var(--c-primary);
    width: 0.75rem;
    height: auto;
}

.block-product-tabs .swiper-nav--prev {
    position: absolute;
    bottom: 1.5625rem;
    left: 1.5625rem;
}

.block-product-tabs .swiper-nav--next {
    position: absolute;
    bottom: 1.5625rem;
    right: 1.5625rem;
}

.block-product-tabs .swiper-navigation button {
    width: 2.5rem;
    height: 2.5rem;
    background-color: var(--c-text-light);
    border:none;
}

.block-product-tabs .gallery-w-caption .gallery-caption {
    display: flex;
    align-items: center;
    gap: 0.9375rem;
    margin-top: 1.875rem;
    justify-content: center;
    font-size: var(--font-15-12);
}

.block-product-tabs .gallery-w-caption .gallery-caption svg {
    color: var(--c-tertiary);
    width: 0.625rem;
    height: auto;
}

.block-product-tabs .tabs-wrapper {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    padding-bottom: 3.125rem;
}

.block-product-tabs .tab-btn {
    padding: 0.9375rem 1.25rem;
    background-color: var(--c-bg-light-tint-1);
    color: var(--c-text-dark);
    border-radius: 0.75rem;
    border:none;
    font-weight: 600;
    white-space: nowrap;
    font-size: var(--font-14-11);
}

.block-product-tabs .tab-btn.active {
    background-color: var(--c-primary);
    color: var(--c-text-light);
}

.block-product-tabs .tabs-wrapper:has(> :nth-child(2)) {
    border-bottom: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    margin-bottom: 3.125rem;
}

.block-product-tabs .tab-content {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.block-product-tabs .tab-content .head {
    display: flex;
    gap: 1.3125rem;
    flex-wrap: nowrap;
}

.block-product-tabs .product__main,
.block-product-tabs .product__bullet-points {
    padding: 2.5rem;
    display: flex;
    flex-direction: column;
    border-radius: 1.5625rem;
}

.block-product-tabs .product__main {
    max-width: 49.919%;
    flex: 0 1 49.919%;
    min-height: 18.75rem;
}

.block-product-tabs .product__tags {
    display: flex;
    gap: 0.75rem;
    align-items: center;
    padding-bottom: 2.5rem;
    font-size: var(--font-13-11);
}

.block-product-tabs .product__tag--new {
    color: var(--c-tertiary);
    border: 1px solid var(--c-tertiary);
    background-color: rgb(from var(--c-tertiary) r g b / 0.1);
    padding: 0.625rem 0.75rem;
    border-radius: 0.3125rem;
    font-weight: 600;
}

.block-product-tabs .product__tag {
    padding: 0.625rem 0.75rem;
    color: var(--c-primary);
    background-color: var(--c-bg-light);
    border-radius: 0.3125rem;
    font-weight: 600;
}

.block-product-tabs .product__description {
    margin-bottom: 0;
    margin-top: auto;
    padding-top: 2.5rem;
}

.block-product-tabs .product__bullet-points {
    gap: 1.5625rem;
    flex: 1;
}

.block-product-tabs .product__bullet-point {
    display: flex;
    flex-wrap: nowrap;
    gap: 1.25rem;
    align-items: flex-start;
}

.block-product-tabs .product__bullet-point svg {
    color: var(--c-tertiary);
    width: 0.6875rem;
    flex: 0 0 auto;
}

@media screen and (width <= 920px) {
    .block-product-tabs .product__main, .block-product-tabs .product__bullet-points {
        padding: 1.375rem;
    }
}

@media screen and (width <= 620px) {
    .block-product-tabs .swiper {
        --swiper-pagination-bullet-size: 0.375rem;
    }

    .block-product-tabs .swiper-wrapper::after {
        border-radius: 1.125rem;
    }

    .block-product-tabs .gallery-w-caption .gallery-caption {
        margin-top: 1.25rem;
    }

    .block-product-tabs .gallery-wrapper .swiper-slide img {
        aspect-ratio: 1;
        border-radius: 1.125rem;
    }

    .block-product-tabs .swiper-navigation button {
        display: none;
    }

    .block-product-tabs .swiper-pagination {
        bottom: 1.25rem;
        gap: 0.625rem;
    }

    .block-product-tabs .tabs-wrapper {
        gap: 0.375rem;
        padding-bottom: 1.5625rem;
    }
    
    .block-product-tabs .tab-btn {
        padding: 0.6875rem 0.9375rem;
    }

    .block-product-tabs .tabs-wrapper:has(> :nth-child(2)) {
        margin-bottom: 0;
        overflow-x: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;

        margin-inline: calc(var(--pad) * -1);
        padding-inline: var(--pad);
        position: relative;
        border-bottom: 0;
    }

    .block-product-tabs .wrap:has(.tabs-wrapper > :nth-child(2)) .tab-content {
        border-top: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
        padding-top: 1.5625rem;
    }


    .block-product-tabs .tabs-wrapper:has(> :nth-child(2))::-webkit-scrollbar {
        display:none;
    }

    .block-product-tabs .tab-content {
        gap: 0.75rem;
    }

    .block-product-tabs .tab-content .head {
        flex-direction: column;
        gap: 0.75rem;
    }

    .block-product-tabs .tab-content .head h3 {
        padding-bottom: 1.875rem;
    }

    .block-product-tabs .product__tags {
        padding-bottom: 1.25rem;
        gap: 0.5rem;
    }

    .block-product-tabs .product__tag--new,
    .block-product-tabs .product__tag {
        border-radius: 0.3125rem;
    }

    .block-product-tabs .product__bullet-points {
        gap: 0.9375rem;
    }

    .block-product-tabs .product__bullet-point {
        gap: 0.9375rem;
    }

    .block-product-tabs .product__bullet-point svg {
        width: 0.5rem;
    }

    .block-product-tabs .product__main {
        max-width: 100%;
        min-height: 12.5rem;
    }

    .block-product-tabs .product__description {
        padding-top: 0;
    }

    .block-product-tabs .product__main, .block-product-tabs .product__bullet-points {
        border-radius: 1.125rem;
    }

}
